#
# Copyright (c) Contributors to the Open 3D Engine Project. For complete copyright and license terms please see the LICENSE at the root of this distribution.
# 
# SPDX-License-Identifier: Apache-2.0 OR MIT
#
#

set(FILES
    Source/ProfilerApplication.h
    Source/ProfilerApplication.cpp
    Source/Editor/ProfilerEditor.h
    Source/Editor/ProfilerEditor.cpp
    Source/Driller/Axis.cpp
    Source/Driller/Axis.hxx
    Source/Driller/AreaChart.cpp
    Source/Driller/AreaChart.hxx
    Source/Driller/ChannelConfigurationDialog.cpp
    Source/Driller/ChannelConfigurationDialog.hxx
    Source/Driller/ChannelConfigurationWidget.cpp
    Source/Driller/ChannelConfigurationWidget.hxx
    Source/Driller/ChannelControl.cpp
    Source/Driller/ChannelControl.hxx
    Source/Driller/ChannelControl.ui
    Source/Driller/ChannelProfilerWidget.cpp
    Source/Driller/ChannelProfilerWidget.hxx
    Source/Driller/ChannelProfilerWidget.ui
    Source/Driller/ChannelDataView.cpp
    Source/Driller/ChannelDataView.hxx
    Source/Driller/ChartNumberFormats.cpp
    Source/Driller/ChartNumberFormats.h
    Source/Driller/ChartTypes.cpp
    Source/Driller/ChartTypes.hxx
    Source/Driller/CollapsiblePanel.cpp
    Source/Driller/CollapsiblePanel.hxx
    Source/Driller/CollapsiblePanel.ui
    Source/Driller/CombinedEventsControl.cpp
    Source/Driller/CombinedEventsControl.hxx
    Source/Driller/CustomizeCSVExportWidget.cpp
    Source/Driller/CustomizeCSVExportWidget.hxx
    Source/Driller/CSVExportSettings.h
    Source/Driller/DoubleListSelector.cpp
    Source/Driller/DoubleListSelector.hxx
    Source/Driller/DoubleListSelector.ui
    Source/Driller/DrillerAggregator.cpp
    Source/Driller/DrillerAggregator.hxx
    Source/Driller/DrillerAggregatorOptions.hxx
    Source/Driller/DrillerCaptureWindow.cpp
    Source/Driller/DrillerCaptureWindow.hxx
    Source/Driller/DrillerCaptureWindow.ui
    Source/Driller/DrillerContext.cpp
    Source/Driller/DrillerContext.h
    Source/Driller/DrillerContextInterface.h
    Source/Driller/DrillerDataContainer.cpp
    Source/Driller/DrillerDataContainer.h
    Source/Driller/DrillerDataTypes.h
    Source/Driller/DrillerEvent.cpp
    Source/Driller/DrillerEvent.h
    Source/Driller/DrillerMainChannelsView.ui
    Source/Driller/DrillerMainWindow.cpp
    Source/Driller/DrillerMainWindow.hxx
    Source/Driller/DrillerMainWindow.ui
    Source/Driller/DrillerMainWindowMessages.cpp
    Source/Driller/DrillerMainWindowMessages.h
    Source/Driller/DrillerNetworkMessages.h
    Source/Driller/DrillerOperationTelemetryEvent.cpp
    Source/Driller/DrillerOperationTelemetryEvent.h
    Source/Driller/FilteredListView.cpp
    Source/Driller/FilteredListView.hxx
    Source/Driller/FilteredListView.ui
    Source/Driller/GenericCustomizeCSVExportWidget.cpp
    Source/Driller/GenericCustomizeCSVExportWidget.hxx
    Source/Driller/GenericCustomizeCSVExportWidget.ui
    Source/Driller/RacetrackChart.cpp
    Source/Driller/RacetrackChart.hxx
    Source/Driller/StripChart.cpp
    Source/Driller/StripChart.hxx
    Source/Driller/Annotations/AnnotationHeaderView.cpp
    Source/Driller/Annotations/AnnotationHeaderView.hxx
    Source/Driller/Annotations/AnnotationHeaderView.ui
    Source/Driller/Annotations/Annotations.cpp
    Source/Driller/Annotations/Annotations.hxx
    Source/Driller/Annotations/AnnotationsDataView.cpp
    Source/Driller/Annotations/AnnotationsDataView.hxx
    Source/Driller/Annotations/AnnotationsDataView_Events.cpp
    Source/Driller/Annotations/AnnotationsDataView_Events.hxx
    Source/Driller/Annotations/AnnotationsHeaderView_Events.cpp
    Source/Driller/Annotations/AnnotationsHeaderView_Events.hxx
    Source/Driller/Annotations/ConfigureAnnotationsDialog.ui
    Source/Driller/Annotations/ConfigureAnnotationsWindow.cpp
    Source/Driller/Annotations/ConfigureAnnotationsWindow.hxx
    Source/Driller/Carrier/CarrierDataAggregator.cpp
    Source/Driller/Carrier/CarrierDataAggregator.hxx
    Source/Driller/Carrier/CarrierDataEvents.h
    Source/Driller/Carrier/CarrierDataParser.cpp
    Source/Driller/Carrier/CarrierDataParser.h
    Source/Driller/Carrier/CarrierDataView.cpp
    Source/Driller/Carrier/CarrierDataView.hxx
    Source/Driller/Carrier/CarrierDataView.ui
    Source/Driller/Carrier/CarrierOperationTelemetryEvent.h
    Source/Driller/EventTrace/EventTraceDataAggregator.cpp
    Source/Driller/EventTrace/EventTraceDataAggregator.h
    Source/Driller/EventTrace/EventTraceDataParser.cpp
    Source/Driller/EventTrace/EventTraceDataParser.h
    Source/Driller/EventTrace/EventTraceEvents.h
    Source/Driller/Memory/MemoryDataAggregator.cpp
    Source/Driller/Memory/MemoryDataAggregator.hxx
    Source/Driller/Memory/MemoryDataParser.cpp
    Source/Driller/Memory/MemoryDataParser.h
    Source/Driller/Memory/MemoryDataView.cpp
    Source/Driller/Memory/MemoryDataView.hxx
    Source/Driller/Memory/MemoryDataView.ui
    Source/Driller/Memory/MemoryEvents.cpp
    Source/Driller/Memory/MemoryEvents.h
    Source/Driller/Profiler/ProfilerDataAggregator.cpp
    Source/Driller/Profiler/ProfilerDataAggregator.hxx
    Source/Driller/Profiler/ProfilerDataPanel.cpp
    Source/Driller/Profiler/ProfilerDataPanel.hxx
    Source/Driller/Profiler/ProfilerDataParser.cpp
    Source/Driller/Profiler/ProfilerDataParser.h
    Source/Driller/Profiler/ProfilerDataView.cpp
    Source/Driller/Profiler/ProfilerDataView.hxx
    Source/Driller/Profiler/ProfilerDataView.ui
    Source/Driller/Profiler/ProfilerEvents.cpp
    Source/Driller/Profiler/ProfilerEvents.h
    Source/Driller/Profiler/ProfilerOperationTelemetryEvent.h
    Source/Driller/Rendering/VRAM/VRAMDataAggregator.cpp
    Source/Driller/Rendering/VRAM/VRAMDataAggregator.hxx
    Source/Driller/Rendering/VRAM/VRAMDataParser.cpp
    Source/Driller/Rendering/VRAM/VRAMDataParser.h
    Source/Driller/Rendering/VRAM/VRAMEvents.cpp
    Source/Driller/Rendering/VRAM/VRAMEvents.h
    Source/Driller/Replica/BaseDetailViewSavedState.h
    Source/Driller/Replica/BaseDetailViewQObject.cpp
    Source/Driller/Replica/BaseDetailViewQObject.hxx
    Source/Driller/Replica/BaseDetailView.inl
    Source/Driller/Replica/BaseDetailView.h
    Source/Driller/Replica/basedetailview.ui
    Source/Driller/Replica/OverallReplicaDetailView.cpp
    Source/Driller/Replica/OverallReplicaDetailView.hxx
    Source/Driller/Replica/overallreplicadetailview.ui
    Source/Driller/Replica/ReplicaBandwidthChartData.cpp
    Source/Driller/Replica/ReplicaBandwidthChartData.h
    Source/Driller/Replica/ReplicaChunkTypeDetailView.cpp
    Source/Driller/Replica/ReplicaChunkTypeDetailView.h
    Source/Driller/Replica/ReplicaChunkUsageDataContainers.cpp
    Source/Driller/Replica/ReplicaChunkUsageDataContainers.h
    Source/Driller/Replica/ReplicaDataAggregator.cpp
    Source/Driller/Replica/ReplicaDataAggregator.hxx
    Source/Driller/Replica/ReplicaDataAggregatorConfigurationPanel.cpp
    Source/Driller/Replica/ReplicaDataAggregatorConfigurationPanel.hxx
    Source/Driller/Replica/ReplicaDataAggregatorConfigurationPanel.ui
    Source/Driller/Replica/ReplicaDataEvents.h
    Source/Driller/Replica/ReplicaDataParser.cpp
    Source/Driller/Replica/ReplicaDataParser.h
    Source/Driller/Replica/ReplicaDataView.cpp
    Source/Driller/Replica/ReplicaDataView.hxx
    Source/Driller/Replica/replicadataview.ui
    Source/Driller/Replica/ReplicaDataViewConfigDialog.ui
    Source/Driller/Replica/ReplicaDetailView.cpp
    Source/Driller/Replica/ReplicaDetailView.h
    Source/Driller/Replica/ReplicaDisplayHelpers.cpp
    Source/Driller/Replica/ReplicaDisplayHelpers.h
    Source/Driller/Replica/ReplicaDisplayTypes.cpp
    Source/Driller/Replica/ReplicaDisplayTypes.h
    Source/Driller/Replica/ReplicaDrillerConfigToolbar.cpp
    Source/Driller/Replica/ReplicaDrillerConfigToolbar.hxx
    Source/Driller/Replica/ReplicaDrillerConfigToolbar.ui
    Source/Driller/Replica/ReplicaOperationTelemetryEvent.h
    Source/Driller/Replica/ReplicaTreeViewModel.cpp
    Source/Driller/Replica/ReplicaTreeViewModel.hxx
    Source/Driller/Replica/ReplicaUsageDataContainers.cpp
    Source/Driller/Replica/ReplicaUsageDataContainers.h
    Source/Driller/Trace/TraceDrillerDialog.cpp
    Source/Driller/Trace/TraceDrillerDialog.hxx
    Source/Driller/Trace/TraceDrillerDialog.ui
    Source/Driller/Trace/TraceMessageDataAggregator.cpp
    Source/Driller/Trace/TraceMessageDataAggregator.hxx
    Source/Driller/Trace/TraceMessageDataParser.cpp
    Source/Driller/Trace/TraceMessageDataParser.h
    Source/Driller/Trace/TraceMessageEvents.h
    Source/Driller/Trace/TraceOperationTelemetryEvent.h
    Source/Driller/Unsupported/UnsupportedDataAggregator.cpp
    Source/Driller/Unsupported/UnsupportedDataAggregator.hxx
    Source/Driller/Unsupported/UnsupportedDataParser.cpp
    Source/Driller/Unsupported/UnsupportedDataParser.h
    Source/Driller/Unsupported/UnsupportedEvents.h
    Source/Driller/Workspaces/Workspace.cpp
    Source/Driller/Workspaces/Workspace.h
)
